org.apache.ignite.internal.processors.subscription

## Class GridInternalSubscriptionProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.subscription.GridInternalSubscriptionProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class GridInternalSubscriptionProcessor
    extends GridProcessorAdapter

Processor enables grid components to register listeners for events generated by other components on local node. It starts very first during node startup procedure so any components could use it. As only local events are supported, no network communication occurs during notification process.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`GridInternalSubscriptionProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<MetastorageLifecycleListener>` `getMetastorageSubscribers()`
`void` `registerMetastorageListener(MetastorageLifecycleListener metastorageListener)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridInternalSubscriptionProcessor

    public GridInternalSubscriptionProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### registerMetastorageListener

    public void registerMetastorageListener(@NotNull
                                            MetastorageLifecycleListener metastorageListener)

#### getMetastorageSubscribers

    public List<MetastorageLifecycleListener> getMetastorageSubscribers()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018